#
#  spec file for Sketch
#

Summary:	python-based vector drawing program
Name:		sketch
Version:        0.6.15
Release:	1
Copyright:	LGPL, Python style
Group:		unsorted
Source:		http://prdownloads.sourceforge.net/sketch/sketch-%PACKAGE_VERSION.tar.gz
URL:		http://sketch.sourceforge.net
Packager:	

Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	python >= 1.5.1, _imaging.so

%description
Sketch is an interactive X11 vector drawing program. It is written
almost completely in Python, an object oriented interpreted programming
language.

%prep
%setup
mv Pax/README Pax/README.pax
mv Pax/COPYING Pax/COPYING.pax
mv Filter/COPYING Filter/COPYING.filter
mv Filter/README Filter/README.filter

%build
./setup.py configure --with-nls
./setup.py build


%install
strip -S Pax/*.so
strip -S Filter/*.so
strip -S Sketch/Modules/*.so
./setup.py install --prefix=%{buildroot}%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_libdir}/%{name}-%PACKAGE_VERSION
%{_bindir}/sketch
%{_bindir}/sk2ps
%{_bindir}/skshow
%{_bindir}/sk2ppm
%{_bindir}/skconvert
%doc Examples
%doc Doc
%doc README INSTALL BUGS CREDITS COPYING TODO PROJECTS FAQ NEWS
%doc Pax/README.pax Pax/COPYING.pax Pax/COPYING.xext
%doc Filter/README.filter Filter/COPYING.filter
%doc Misc

%changelog
* Sat Sep 21 2002 Andrew Grimberg
- Updated Packager: field for RPM build.
- Moved changelog entry from Bernhard into the proper location for build of
  rpms.  (Gotta be in descending chronological order).

* Sat Sep 21 2002 Bernhard Herzog
- Make the Packager: field empty and tweak the Version: field so that it
  can be incorporated in the sketch 0.6 source archive.

* Tue Mar 19 2002 Andrew Grimberg
- Added in sk2ppm and skconvert to the installed package
- Removed an unneeded pre variable (wasn't being properly used anyway)
- Added in a cleanup from the setup.py install call

* Sat Mar 16 2002 Andrew Grimberg
- Rebuilt .spec to support user building of package and package relocation
